# For Dotfiles
dotfls="${HOME}/dotfiles"
dotlib="${dotfls}/lib"
dotcfg="${dotfls}/cfg"
lbrew="/home/linuxbrew/.linuxbrew"

# Paths
path=(${lbrew}/bin)
path+=(${lbrew}/sbin)
path+=(/usr/local/sbin)
path+=(/usr/local/bin)
path+=(/usr/sbin)
path+=(/usr/bin)
path+=(/sbin)
path+=(/bin)
path+=(/usr/lib/jvm/default/bin)
path+=(${dotfls}/bin)
path+=(${HOME}/.gem/ruby/2.4.0/bin)
path+=(${HOME}/basher/bin)
path+=(/opt/android-sdk/build-tools/26.0.1)
manpath+=(${lbrew}/share/man)
infopath+=(${lbrew}/share/info)

# Editor Setting
EDITOR='nano'

# Completions Paths
fpath+=(${dotlib}/completions/src)
fpath+=(${lbrew}/share/zsh/site-functions)
fpath+=(${dotlib}/local)

# Actually export
export dotlib dotcfg lbrew PATH MANPATH INFOPATH EDITOR

# Reload all Prompts
autoload -U promptinit && promptinit
